🌲 Introduction: 🌲

Using plugins and mods at the same time on a server is a wish of many server owners.
With the great growth of minecraft, several mods and plugins have been emerging, as well as new versions of the game itself.
Taking this into account we can conclude that each Mod and Plugin is made for a specific version of the game, being necessary to use different files such as Forge, to run mods, and Spigot to run plugins.
But is it possible to use both at the same time?
To answer this question we must first know the difference between a plugin and a mod.


Plugins:
Used to take existing Minecraft features to create new content.
They are used on servers, only.
This means that is not required to players do extra steps in order to connect to the server.

Mods:
Used to additional content modifications to Minecraft.
They can be used on servers and singleplayer.
This means that is required to players do extra steps in order to connect to the server. (the server and the client must be using the same mods)

🌲 But, is it possbile to run plugins and mods at the same time? 🌲

As it was explained above, Mods don't support Bukkit plugins because Mods aren't based off of Vanilla Minecraft, this means that, in few words, it is not possible for plugins to use elements of a standard vanilla version when they have been modified by Mods.

🔎 But there is a way to achieve something similar to this...
It is not a way that will make it possible to use plugins and mods at the same time (as we have seen, this is not possible) but rather an alternative that allows to execute mods that are "plugins" using the SpongeForge method.

🤔 Confused? No Worries.
We are here to answer all your questions and to help.




What is SpongeForge?
SpongeForge is a Mod for Minecraft Forge Servers, that integrates the possibility to use Sponge "plugins" in your server.
Actually they are not totally plugins because they are Mods.
So this means that you must drop your Sponge "plugins" in your /mods directory as well.

Where can i get SpongeForge?
SpongeForge is not availabe for all Minecraft versions, so this means that you must use the following provided by Sponge.
The currently available are:
SpongeForge: 1.10.2, 1.11.2 and 1.12.2.

Is there a SpongeForge for servers running on 1.7.10?
No, there is not.
If you wish to run "plugins" and mods together, you must use one of the versions provided above.
This means that if your modpack/server is running on 1.7.10, you can't run SpongeForge.

How to find Sponge plugins?
You can get all Sponge plugins on Sponge's official website.

I have just installed SpongeForge but i can't find my /plugins directory. What should i do?
As we learned together above. It is impossible to run plugins and mods at the same time. But we can use Sponge "plugins" (because they are mods) for this.
So every Sponge "plugin" that you can download at Sponge Plugins page must be placed in your server's /mods directory.


🔌 SpongeForge Installation 🔌

First make sure which modded version your server is running on.

If you wish to install SpongeForge in your server, no worries, because it is easy.
Just follow these steps:

Stop your server.
Download SpongeForge at Sponge's website
Using your FTP, upload your SpongeForge file to your /mods folder. If you don't know what is FTP or how to use it, please read our How to: Access Your Minecraft Server Files Via FTP article.
Start your server.

Done!
Your server is now running with SpongeForge!


💭 Hint:
Every Sponge "plugin" you have downloaded, must be uploaded to your /mods directory.
Just make sure to restart your server when you uploaded, so then your server will be able to run it properly.


Feel free to open a ticket and contact the support team in your client area if you need any further assistance.




Useful Links:
Installing SpongeForge in a pre-existing modpack
How to install Mods on your server
Was this article helpful?
Cancel
Thank you!